Chromium Code Reviews
Help | Chromium Project | Sign in
(22)

Issue 2815813002: Remove obsolete bookmarkManagerPrivate.canOpenNewWindows API function (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 weeks, 3 days ago by tsergeant
Modified:
1 week, 4 days ago
CC:
chromium-reviews, chrome-apps-syd-reviews_chromium.org, extensions-reviews_chromium.org, tfarina, arv+watch_chromium.org, jlklein+watch-closure_chromium.org, asvitkine+watch_chromium.org, vitalyp+closure_chromium.org, chromium-apps-reviews_chromium.org, dbeam+watch-closure_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove obsolete bookmarkManagerPrivate.canOpenNewWindows API function The extension API function chrome.bookmarkManagerPrivate.canOpenNewWindows was previously used to disable opening new windows in Windows 8 Metro Mode. Now that mode is removed, the function is essentially a no-op, as it always returns true. Additionally, it is only used by one place in the bookmark manager. This CL removes this obsolete function. BUG=710781 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2815813002 Cr-Commit-Position: refs/heads/master@{#465140} Committed: https://chromium.googlesource.com/chromium/src/+/5f9e10d18a42268051f35d98c4ed5eb19597fa0c

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -47 lines) Patch
M chrome/browser/extensions/api/bookmark_manager_private/bookmark_manager_private_api.h View 1 chunk +0 lines, -13 lines 0 comments Download
M chrome/browser/extensions/api/bookmark_manager_private/bookmark_manager_private_api.cc View 1 chunk +0 lines, -6 lines 2 comments Download
M chrome/browser/resources/bookmark_manager/js/main.js View 3 chunks +1 line, -10 lines 0 comments Download
M chrome/common/extensions/api/bookmark_manager_private.json View 1 chunk +0 lines, -10 lines 0 comments Download
M extensions/browser/extension_function_histogram_value.h View 1 chunk +1 line, -1 line 0 comments Download
M third_party/closure_compiler/externs/bookmark_manager_private.js View 1 chunk +0 lines, -6 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 chunk +1 line, -1 line 0 comments Download
Trybot results:  ios-simulator   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   closure_compilation   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   cast_shell_android   android_n5x_swarming_rel   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device-xcode-clang   closure_compilation   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_compile_dbg   android_cronet   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 17 (11 generated)
tsergeant
This is a pretty straightforward removal -- PTAL, thanks! benwells: c/b/extensions c/c/extensions isherman: histograms.xml extension_function_histogram_value.h ...
2 weeks, 2 days ago (2017-04-12 23:27:01 UTC) #9
Ilya Sherman
enum changes lgtm
2 weeks, 2 days ago (2017-04-12 23:31:54 UTC) #10
benwells
lgtm https://codereview.chromium.org/2815813002/diff/1/chrome/browser/extensions/api/bookmark_manager_private/bookmark_manager_private_api.cc File chrome/browser/extensions/api/bookmark_manager_private/bookmark_manager_private_api.cc (left): https://codereview.chromium.org/2815813002/diff/1/chrome/browser/extensions/api/bookmark_manager_private/bookmark_manager_private_api.cc#oldcode800 chrome/browser/extensions/api/bookmark_manager_private/bookmark_manager_private_api.cc:800: bool can_open_new_windows = true; Seemed like a very ...
2 weeks, 2 days ago (2017-04-13 01:09:17 UTC) #11
Dan Beam
lgtm https://codereview.chromium.org/2815813002/diff/1/chrome/browser/extensions/api/bookmark_manager_private/bookmark_manager_private_api.cc File chrome/browser/extensions/api/bookmark_manager_private/bookmark_manager_private_api.cc (left): https://codereview.chromium.org/2815813002/diff/1/chrome/browser/extensions/api/bookmark_manager_private/bookmark_manager_private_api.cc#oldcode800 chrome/browser/extensions/api/bookmark_manager_private/bookmark_manager_private_api.cc:800: bool can_open_new_windows = true; On 2017/04/13 01:09:17, benwells ...
1 week, 4 days ago (2017-04-18 02:38:37 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815813002/1
1 week, 4 days ago (2017-04-18 03:19:29 UTC) #14
commit-bot: I haz the power
1 week, 4 days ago (2017-04-18 04:43:50 UTC) #17
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/5f9e10d18a42268051f35d98c4ed...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46